datablock PlayerData(PlayerMW2Armor : PlayerStandardArmor)
{
	uiName = "MW2-Style Player";
	showEnergyBar = false;
	
	maxDamage = 100;
	
	canJet = 0;
	repairRate = (200/32);

	cameramaxdist = 3;
	cameraVerticalOffset = 1;
	cameraHorizontalOffset = 0.8;
	cameraTilt = 0.2;
	maxfreelookangle = 2;

	// Variable for tacknife useage, Just copy and paste this into any playertype that uses the knife.
	usesTacKnife = 1;
};

function PlayerMW2Armor::onDamage(%this,%obj,%delta)
{
   Parent::onDamage(%this,%obj,%delta);
   if(%delta > 0)
   {
      if(isEventPending(%obj.MW2RepairSched))
         cancel(%obj.MW2RepairSched);
      
      %obj.setRepairRate(0);
      if(%obj.getState() !$= "Dead")
         %obj.MW2RepairSched = %obj.schedule(5000,doFlashRepair);
   }
}

function Player::doFlashRepair(%obj)
{
   //Repair at the same rate as the object's damage flash going away
   %obj.setRepairRate((%obj.getDamageLevel()*2)/(3*%obj.dataBlock.maxDamage*%obj.getDamageFlash()));
}